NEWALIASES(8)

NAME
newaliases - rebuild mail aliases

SYNOPSIS
newaliases [-f file]

DESCRIPTION
The newaliases utility makes changes to the mail aliases file visible to smtpd(8). It should be run every time the aliases(5) file is changed. The location of the alias file is defined in smtpd.conf(5), and defaults to /etc/smtpd/aliases.

The options are as follows:

-f file
    Use file as the configuration file, instead of the default /etc/smtpd/smtpd.conf.

If using database (db) files, newaliases is equivalent to running makemap(8) as follows:

    # makemap -t aliases /etc/smtpd/aliases

If using plain text files, newaliases is equivalent to running smtpctl(8) as follows:

    # smtpctl update table aliases

FILES
/etc/smtpd/aliases
    List of local user mail aliases.
/etc/smtpd/virtual
    List of virtual host aliases.

EXIT STATUS

SEE ALSO
smtpd.conf(5), makemap(8), smtpctl(8), smtpd(8)

HISTORY
The newaliases command first appeared in OpenBSD 4.6 as a replacement for the equivalent command shipped with sendmail.